<template>
  <b-header style="background: #2b384c" class="shadow-1">
    <img
      slot="branding"
      src="@/assets/images/logo_admin.svg"
      alt="Virgil Admin Portal"
      style="height: 40px"
    />
    <!-- <app-breadcrumb slot="left" /> -->
    <div slot="left">
      <b-icon name="home" class="mr-1x" style="color: #f5f5f5"></b-icon>
      <b-icon
        name="chevron-right"
        size="12"
        class="mr-1x"
        style="color: #f5f5f5"
      ></b-icon>
    </div>
    <div slot="right">
      <b-dropdown trigger="click" @command="handleCommand">
        <div
          class="d-flex items-center p-1x bd-rds-max bg-black hover--bg-primary-1 focus--bg-primary-1 hover--c-primary-3 focus--c-primary-3 transition-all-025s clickable"
        >
          <b-avatar :src="user.avatar" :text="user.fullName" rounded />
          <p class="text-sm text-semibold px-2x" style="color: #f5f5f5">
            {{ user.fullName }}
          </p>
          <b-icon
            name="action-down"
            size="12"
            class="mr-1x"
            style="color: #f5f5f5"
          ></b-icon>
        </div>
        <b-dropdown-menu slot="dropdown" class="w-min-160">
          <b-dropdown-item icon="profile" command="profile"
            >User Profile</b-dropdown-item
          >
          <b-dropdown-item icon="sign-out" command="logout"
            >Sign Out</b-dropdown-item
          >
        </b-dropdown-menu>
      </b-dropdown>
    </div>
  </b-header>
</template>

<script>
import { mapState } from 'vuex'
export default {
  name: 'AppHeader',
  computed: {
    ...mapState('auth', ['user']),
  },
  methods: {
    handleCommand(command) {
      switch (command) {
        case 'profile':
          // this.$router.push('/profile')
          break
        case 'logout':
          this.$auth.logout()
          break
        default:
          break
      }
    },
  },
}
</script>
